Technical Service Qualification Open API
The Technical Service Qualification Open API provides endpoints to check the availability of resources and services before submitting orders for fulfillment.
This API is a ServiceNow implementation of the TMF645 Service Qualification API REST Specification. For more information about service qualification requests, see .
sn_ord_qual_mgmt namespace and requires the following plugins:- Product Catalog Management Core [com.sn_prd_pm]
- Product Catalog Advanced [com.sn_prd_pm_adv]
- Order Qualification Management [com.sn_ord_qual_mgmt]
- Order Management for Telecom, Media & Tech [com.sn_tmt_core]
- Telecom Core [com.sn_tmt_core]
The sn_ind_tmt_orm.order_integrator role is required to use this API.
Technical Service Qualification Open API - GET sn_ord_qual_mgmt/qualification/checkServiceQualification/{id}
Retrieves a technical qualification request that is associated with a given customer order ID.
- Customer Order [sn_ind_tmt_orm_order]
- Order Line Item [sn_ind_tmt_orm_order_line_item]
URL format
Versioned URL: /api/sn_ord_qual_mgmt/qualification/checkServiceQualification/{id}
Supported request parameters
| Name | Description |
|---|---|
| api_version | Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the
latest.
Data type: String |
| id | Sys_id of the qualification customer order to retrieve. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| Name | Description |
|---|---|
| None |
| Name | Description |
|---|---|
| None |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response
body. Supported types: application/json or
application/xml.
Default: application/json |
| Header | Description |
|---|---|
| None |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| 200 | Successful. The request was successfully processed. |
| 400 | Bad Request. A bad request type or malformed request was detected. |
| 404 | Not found. The requested item wasn't found. |
Response body parameters (JSON or XML)
| Name | Description |
|---|---|
| id | Sys_id of the qualification customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| href | Relative link to the qualification order record. Data type: String |
| description | Description of the qualification request which is fetched from the short_description field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| externalId | External ID from the external_id field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| qualificationResult | Qualification status of the result field of the customer order. Possible values:
Data type: String |
| state | State of customer order from the status field of customer order. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the qualification. This value is always CheckServiceQualification. This information is not stored.Data type: String |
| checkServiceQualificationDate | Date and time the qualification request that was created from the order_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| effectiveQualificationDate | Effective qualification date fetched from the order_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| expectedQualificationDate | Stores the expected qualification date. Persisted in expected_end_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| relatedParty | List of contacts for the qualification request. Each contact is an object in the array. Data type: Array of Objects |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account [customer_account] table, Contact [customer_contact] table, or Consumer [csm_consumer]
table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the order line item contact. This value is always RelatedParty. This information is not stored.Data type: String |
| relatedParty.@referredType | Type of related party. Possible values:
Data type: String |
| serviceQualificationItem | List of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects |
| serviceQualificationItem.id | ID of the qualification item. Stored in the external_id field of customer order line item in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: String |
| serviceQualificationItem.qualificationResult | Result of qualification item. Stored in the ‘result’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Possible values:
Data type: String |
| serviceQualificationItem.state | State of qualification item derived from the ‘status’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: String |
| serviceQualificationItem.quantity | Quantity of qualification item derived from the ‘quantity’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: Number |
| serviceQualificationItem.@type | Part of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored. Data type: String |
| serviceQualificationItem.service | Service information which includes details about location (place), service specifications, and service characteristics. Data type: Object |
| serviceQualificationItem.service.@type | Part of TMF Open
API standard. Annotation for the service. This value is always Service. This information is not stored. Data type: String |
| serviceQualificationItem.service.place | Location information for the service qualification item. Data type: Array of objects Note: This array can contain only one location. |
serviceQualificationItem.service.place.id |
Sys_id of a location in the Location [cmn_location] table. Data type: String |
| serviceQualificationItem.service.place.name | Name of the location. Not verified against an entry in the Location [cmn_location] table. Data type: String |
| serviceQualificationItem.service.place.@type | Part of TMF Open API standard. Annotation for Service. This value is always GeographicSite. This information is not stored.Data type: String |
| serviceQualificationItem.service.serviceSpecification | Service specification details for the qualification item. Data type: Array of objects |
| serviceQualificationItem.service.serviceSpecification.id | External ID or initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.name | Name of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.version | External version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.internalVersion | Internal version of the service specification. Data type: Number |
| serviceQualificationItem.service.serviceSpecification.internalId | Initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always ServiceSpecification. This information is not stored.Data type: String |
| serviceQualificationItem.service.serviceCharacteristic | List of service characteristics. Data type: Array of objects |
| serviceQualificationItem.service.serviceCharacteristic.valueType | Value type of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.name | Name of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.value | Value of the characteristic. Data type: String |
| ServiceQualificationItem.alternateServiceProposal | Alternate service proposal for the qualification order. Alternate proposals are stored in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.id | Sys_id of the alternate proposal entry in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate | The available_date field value of the alternate proposal entry in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: String |
| serviceQualificationItem.alternateServiceProposal.alternateService | Service information represented by the alternate proposal. Data type: Object |
| serviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification | Service specification of the alternate proposal persisted in specification of the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: Object |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.id | External ID or initial version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.name | Name of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.version | External version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalVersion | Internal version of the alternate service specification. Data type: Number |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalId | Initial version of the alternate service specification. Data type: String |
| ServiceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always ServiceSpecification. This information is not stored.Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic | Array of service characteristics for the alternate service proposal. Data type: Array of objects |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.valueType | Value type of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.name | Name of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.value | Value of the alternate service characteristic. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason | A list of service eligibility unavailability reasons to explain why the service is not available. This value is persisted in unavailability_reason field of the Domain Order [sn_ind_tmt_orm_domain_order]
table. Data type: Array |
| serviceQualificationItem.eligibilityUnavailabilityReason.code | Service eligibility unavailability reason code. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason.label | Service eligibility unavailability reason label. Data type: String |
Sample cURL request
The following example retrieves an entire specific qualification order associated with a given Sys_id of a qualification customer order.
curl -location --request GET "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/4b5aa0a538b31110f877c8d44c4b8947" \
--user "username":"password"
Response:
[
{
"id": "001b359545371150f877e0588eca21ca",
"href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/001b359545371150f877e0588eca21ca",
"description": "check service qualification illustration",
"externalId": "CSQ1",
"qualificationResult": "none",
"state": "new",
"@type": "CheckServiceQualification",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceSpecification": {
"id": "91478553b7969910ff00f203ae11a97d",
"name": "Broadband Service",
"version": "",
"internalVersion": "1",
"internalId": "91478553b7969910ff00f203ae11a97d",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
},
"expectedQualificationDate": "2022-10-11T15:20:39.000Z"
},
{
"id": "0236b75145fb1150f877e0588eca2145",
"href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0236b75145fb1150f877e0588eca2145",
"description": "check service qualification illustration",
"externalId": "CSQ1",
"qualificationResult": "none",
"state": "new",
"@type": "CheckServiceQualification",
"checkServiceQualificationDate": "2022-12-15T08:57:50.000Z",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "110",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Fiber Speed",
"valueType": "choice",
"value": "1Gbps"
}
],
"serviceSpecification": {
"id": "4d2b5799457b1150f877e0588eca2116",
"name": "CFS3",
"version": "",
"internalVersion": "1",
"internalId": "4d2b5799457b1150f877e0588eca2116",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
},
{
"id": "130",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Wireless Speed",
"valueType": "choice",
"value": "100 Mbps"
}
],
"serviceSpecification": {
"id": "28733d1d45f31150f877e0588eca2163",
"name": "CFS2",
"version": "",
"internalVersion": "1",
"internalId": "28733d1d45f31150f877e0588eca2163",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
},
{
"id": "100",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Speed",
"valueType": "choice",
"value": ""
}
],
"serviceSpecification": {
"id": "b3933d9d45f31150f877e0588eca21fc",
"name": "Access Service",
"version": "",
"internalVersion": "1",
"internalId": "b3933d9d45f31150f877e0588eca21fc",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
},
{
"id": "120",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "DSL Speed",
"valueType": "choice",
"value": "500 Mbps"
}
],
"serviceSpecification": {
"id": "1d43f91d45f31150f877e0588eca21cd",
"name": "CFS1",
"version": "",
"internalVersion": "1",
"internalId": "1d43f91d45f31150f877e0588eca21cd",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
}
],
"expectedQualificationDate": "2022-10-11T15:20:39.000Z"
}
]
Technical Service Qualification Open API - GET sn_ord_qual_mgmt/qualification/checkServiceQualification
Retrieves a list of all technical qualification requests.
- Customer Order [sn_ind_tmt_orm_order]
- Order Line Item [sn_ind_tmt_orm_order_line_item]
This endpoint returns 20 records by default but can return a maximum of 100 records. Use query filters to narrow results according to status, field name(s), description, and qualification result.
URL format
Versioned URL: /api/sn_ord_qual_mgmt/qualification/checkServiceQualification
Supported request parameters
| Name | Description |
|---|---|
| api_version | Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the
latest.
Data type: String |
| Parameter | Description |
|---|---|
| description | Filters qualification orders by the 'short_description' field of the customer order.
Only orders with a short description matching
the value of this parameter are returned in the response. Data type: String |
| fields | List of field names to return in the response. Invalid fields are
ignored. If this parameter is not provided in the request, all fields are returned. Data type: String, comma separated |
| limit | Maximum number of records to return. For requests that exceed this number of records, use
the
offset parameter to paginate record retrieval. Default: 20 Maximum: 100 Data type: Number |
| qualificationResult | Filters qualification orders by result.
Only
orders with a result matching the value of this parameter are returned in the response. Data type: String |
| state | Filters qualification orders by state. Only orders with a state matching the value of
this parameter are returned in the response. Data type: String |
| Name | Description |
|---|---|
| None |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response
body. Supported types: application/json or
application/xml.
Default: application/json |
| Header | Description |
|---|---|
| None |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| Status code | Description |
|---|---|
| 200 | Request successfully processed. Full resource returned in response (no pagination). |
| 206 | Partial resource returned in response (with pagination). |
| 400 | Bad request. Possible reasons:
|
| 404 | No record found for the filter criteria. |
Response body parameters (JSON or XML)
| Name | Description |
|---|---|
| id | Sys_id of the qualification customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| href | Relative link to the qualification order record. Data type: String |
| description | Description of the qualification request which is fetched from the short_description field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| externalId | External ID from the external_id field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| qualificationResult | Qualification status of the result field of the customer order. Possible values:
Data type: String |
| state | State of customer order from the status field of customer order. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the qualification. This value is always CheckServiceQualification. This information is not stored.Data type: String |
| checkServiceQualificationDate | Date and time the qualification request that was created from the order_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| effectiveQualificationDate | Effective qualification date fetched from the order_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| expectedQualificationDate | Stores the expected qualification date. Persisted in expected_end_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| relatedParty | List of contacts for the qualification request. Each contact is an object in the array. Data type: Array of Objects |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account [customer_account] table, Contact [customer_contact] table, or Consumer [csm_consumer]
table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the order line item contact. This value is always RelatedParty. This information is not stored.Data type: String |
| relatedParty.@referredType | Type of related party. Possible values:
Data type: String |
| serviceQualificationItem | List of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects |
| serviceQualificationItem.id | ID of the qualification item. Stored in the external_id field of customer order line item in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: String |
| serviceQualificationItem.qualificationResult | Result of qualification item. Stored in the ‘result’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Possible values:
Data type: String |
| serviceQualificationItem.state | State of qualification item derived from the ‘status’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: String |
| serviceQualificationItem.quantity | Quantity of qualification item derived from the ‘quantity’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: Number |
| serviceQualificationItem.@type | Part of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored. Data type: String |
| serviceQualificationItem.service | Service information which includes details about location (place), service specifications, and service characteristics. Data type: Object |
| serviceQualificationItem.service.@type | Part of TMF Open
API standard. Annotation for the service. This value is always Service. This information is not stored. Data type: String |
| serviceQualificationItem.service.place | Location information for the service qualification item. Data type: Array of objects Note: This array can contain only one location. |
serviceQualificationItem.service.place.id |
Sys_id of a location in the Location [cmn_location] table. Data type: String |
| serviceQualificationItem.service.place.name | Name of the location. Not verified against an entry in the Location [cmn_location] table. Data type: String |
| serviceQualificationItem.service.place.@type | Part of TMF Open API standard. Annotation for Service. This value is always GeographicSite. This information is not stored.Data type: String |
| serviceQualificationItem.service.serviceSpecification | Service specification details for the qualification item. Data type: Array of objects |
| serviceQualificationItem.service.serviceSpecification.id | External ID or initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.name | Name of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.version | External version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.internalVersion | Internal version of the service specification. Data type: Number |
| serviceQualificationItem.service.serviceSpecification.internalId | Initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always ServiceSpecification. This information is not stored.Data type: String |
| serviceQualificationItem.service.serviceCharacteristic | List of service characteristics. Data type: Array of objects |
| serviceQualificationItem.service.serviceCharacteristic.valueType | Value type of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.name | Name of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.value | Value of the characteristic. Data type: String |
| ServiceQualificationItem.alternateServiceProposal | Alternate service proposal for the qualification order. Alternate proposals are stored in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.id | Sys_id of the alternate proposal entry in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate | The available_date field value of the alternate proposal entry in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: String |
| serviceQualificationItem.alternateServiceProposal.alternateService | Service information represented by the alternate proposal. Data type: Object |
| serviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification | Service specification of the alternate proposal persisted in specification of the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: Object |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.id | External ID or initial version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.name | Name of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.version | External version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalVersion | Internal version of the alternate service specification. Data type: Number |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalId | Initial version of the alternate service specification. Data type: String |
| ServiceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always ServiceSpecification. This information is not stored.Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic | Array of service characteristics for the alternate service proposal. Data type: Array of objects |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.valueType | Value type of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.name | Name of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.value | Value of the alternate service characteristic. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason | A list of service eligibility unavailability reasons to explain why the service is not available. This value is persisted in unavailability_reason field of the Domain Order [sn_ind_tmt_orm_domain_order]
table. Data type: Array |
| serviceQualificationItem.eligibilityUnavailabilityReason.code | Service eligibility unavailability reason code. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason.label | Service eligibility unavailability reason label. Data type: String |
Sample cURL request
The following GET call retrieves all qualification orders for an instance.
curl -location --request GET "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification" \
--user "username":"password"
Response:
[{
"id": "001b359545371150f877e0588eca21ca",
"href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/001b359545371150f877e0588eca21ca",
"description": "check service qualification illustration",
"externalId": "CSQ1",
"qualificationResult": "none",
"state": "new",
"@type": "CheckServiceQualification",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"relatedParty": [{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceSpecification": {
"id": "91478553b7969910ff00f203ae11a97d",
"name": "Broadband Service",
"version": "",
"internalVersion": "1",
"internalId": "91478553b7969910ff00f203ae11a97d",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
}],
"expectedQualificationDate": "2022-10-11T15:20:39.000Z"
}, {
"id": "0236b75145fb1150f877e0588eca2145",
"href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0236b75145fb1150f877e0588eca2145",
"description": "check service qualification illustration",
"externalId": "CSQ1",
"qualificationResult": "none",
"state": "new",
"@type": "CheckServiceQualification",
"checkServiceQualificationDate": "2022-12-15T08:57:50.000Z",
"relatedParty": [{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
}
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [{
"id": "110",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [{
"name": "Fiber Speed",
"valueType": "choice",
"value": "1Gbps"
}],
"serviceSpecification": {
"id": "4d2b5799457b1150f877e0588eca2116",
"name": "CFS3",
"version": "",
"internalVersion": "1",
"internalId": "4d2b5799457b1150f877e0588eca2116",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
},
{
"id": "130",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [{
"name": "Wireless Speed",
"valueType": "choice",
"value": "100 Mbps"
}],
"serviceSpecification": {
"id": "28733d1d45f31150f877e0588eca2163",
"name": "CFS2",
"version": "",
"internalVersion": "1",
"internalId": "28733d1d45f31150f877e0588eca2163",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
},
{
"id": "100",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [{
"name": "Speed",
"valueType": "choice",
"value": ""
}],
"serviceSpecification": {
"id": "b3933d9d45f31150f877e0588eca21fc",
"name": "Access Service",
"version": "",
"internalVersion": "1",
"internalId": "b3933d9d45f31150f877e0588eca21fc",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
},
{
"id": "120",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [{
"name": "DSL Speed",
"valueType": "choice",
"value": "500 Mbps"
}],
"serviceSpecification": {
"id": "1d43f91d45f31150f877e0588eca21cd",
"name": "CFS1",
"version": "",
"internalVersion": "1",
"internalId": "1d43f91d45f31150f877e0588eca21cd",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
}
],
"expectedQualificationDate": "2022-10-11T15:20:39.000Z"
}
]
Technical Service Qualification Open API - POST sn_ord_qual_mgmt/qualification/checkServiceQualification
Creates a technical service qualification request entity containing a list of qualification items.
The service qualification request is persisted as a customer order with the qualify fulfillment type. Each qualification item is persisted as a customer line order in the Order [sn_ind_tmt_orm_order_line_item] table.
Using this endpoint
- Request to qualify a service at a specified address.
- Request to qualify a new service at the same location of an existing and active access service.
- Request to upgrade or downgrade an existing service.
Each use case requires the same request structure but uses different request parameters. Details about each use case and accepted parameters are provided:
- To qualify a service at a specified address, use the place array (serviceQualificationItem.service.place) to provide a specific location and the service specification. You can optionally define additional service characteristics in your request.
- To qualify a new service at the same location of an existing and active service, use the referenceServiceInventory object (serviceQualificationItem.service.referenceServiceInventory) instead of the place array. This object allows you to create a request and define service specifications without needing to provide location details. You can optionally define additional service characteristics in your request.
- To upgrade or downgrade an existing service, use the serviceInventory object (serviceQualificationItem.service.ServiceInventory) instead of the place array or the
referenceServiceInventory object. In this use case, location information and specification details are fetched from an existing service. In your request, define any service characteristics that you wish to
change.
For example, say that you want to verify that you can upgrade the download speed of an existing, active service from 100Mb/s to 600Mb/s. In this case, you can use the serviceInventory parameter to define the request by changing the 'Speed' characteristic from 'Low' to 'High'. The API obtains remaining characteristics from the existing service.
To understand how to form your API request per your particular use case, refer to the example calls provided in the Example section of this page.
URL format
Versioned URL: /api/sn_ord_qual_mgmt/qualification/checkServiceQualification
Supported request parameters
| Name | Description |
|---|---|
| None |
| Name | Description |
|---|---|
| None |
| Parameter | Description |
|---|---|
| @type | Optional. Part of TMF Open API standard. Annotation for the qualification. This value is always CheckServiceQualification. This information is not stored.Data type: String |
| checkServiceQualificationDate | Optional. The date and time the qualification request was created. Located in the order_date field of the Customer Order [sn_ind_tmt_orm_order] table. If not specified, order_date is set to the current date and
time. Data type: String Format: YYYY-MM-DDTHH:MM:SS.SSSZ |
| description | Optional. The description of the qualification request. Located in the ‘short_description’ field of the Customer Order [sn_ind_tmt_orm_order] table. Data type: String Maximum character length: 100 |
| effectiveQualificationDate | Optional. The date that the qualification is effective. Persisted in ‘actual_end_date’ field of the customer order of the Customer Order [sn_ind_tmt_orm_order] table. Data type: String Format: YYYY-MM-DDTHH:MM:SS.SSSZ |
| expectedQualificationDate | Optional. The expected qualification date. Persisted in expected_end_date’ field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String Format: YYYY-MM-DDTHH:MM:SS.SSSZ |
| externalId | Optional. External ID assigned of the customer order. Persisted in the external_id field of the customer order of the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| relatedParty | List of contacts for the qualification request. Each contact is an object in the array. Must list at least one item which contains customer account, customer contact, or consumer account information. Data type: Array of Objects |
| relatedParty.@referredType | Type of related party. Possible values:
Data type: String |
| relatedParty.@type | Optional. Part of TMF Open API standard. Annotation for the order line item contact. This value is always RelatedParty. This information is not stored.Data type: String |
| relatedParty.id | The sys_id or external_id, if applicable, of the related party. Located in the Account [customer_account] table, Contact [customer_contact] table, or Consumer [csm_consumer] table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| serviceQualificationItem | List of service qualification items with location, service information, and characteristics. Stored as order line items for the customer order. Must include at least one service qualification item in the
list. Data type: Array of objects |
| serviceQualificationItem.@type | Optional. Part of TMF Open API standard. Annotation for qualification item. This value is always ServiceQualificationItem. This information is not stored.Data Type: String |
| serviceQualificationItem.qualificationItemRelationship | Optional. List of relationships with other service qualification items in the same request. This information helps to create order line items with a parent order line item. Data type: Array of objects |
|
serviceQualificationItem.qualificationItemRelationship.id |
Required. The ID of the target qualification item in the relationship. Data Type: String |
| serviceQualificationItem.qualificationItemRelationship.relationshipType | Required. The type of line item relationship. Valid values:
Data Type: String |
| serviceQualificationItem.quantity | Optional. Quantity of the qualification item. Persisted in the ‘quantity’ field of customer order line item. Data type: Number Default if not specified: 1 |
| serviceQualificationItem.service | Required. Service information which can include such variables as place, service specification, and service characteristics. Data Type: Object |
| serviceQualificationItem.service.@type | Optional. Part of TMF Open API standard. Annotation for Service information for qualification item. This value is always Service. This information is not stored.Data Type: String |
| serviceQualificationItem.service.place | Optional. The requested location information for the service qualification item. Located in the Location [cmn_location] table. Note: Even though array is supported, it must contain only one location. Data Type: Array of objects |
| serviceQualificationItem.service.place.@type | Optional. Part of TMF Open API standard. Annotation for Service. This value is always GeographicSite. This information is not stored.Data Type: String |
| serviceQualificationItem.service.place.id | Required. Sys_id of a location in the Location [cmn_location] table. This location ID should be a valid entry in the Location [cmn_location] table. Data Type: String |
| serviceQualificationItem.service.place.name | Optional. Name of the location. This value is not verified against entries in the Location [cmn_location] table. Data Type: String |
| serviceQualificationItem.service.referenceServiceInventory | Required. Valid service inventory entity which refers to an active service for the required location. The location information for the qualification order is obtained from this service inventory's location. Important: Use the referenceServiceInventory object to qualify a new service at the same location of an existing and active Access service. To do so, you must also omit the
place array and serviceInventory object from your request, otherwise the API returns an error. Data type: Object |
| serviceQualificationItem.service.referenceServiceInventory.id | Required if using serviceQualificationItem.service.referenceServiceInventory in the request. The sys_id of a valid service inventory entity which refers to an active service for the required
location. This information is mentioned only in the order work notes. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic | Optional. Array of service characteristics. Data Type: Array of objects |
| serviceQualificationItem.service.serviceCharacteristic.name | Required. Name of the characteristic. Data Type: String |
| serviceQualificationItem.service.serviceCharacteristic.value | Optional. Value of the characteristic. Part of TMF Open API standard. Annotation for Qualification item. This value is always ServiceQualificationItem. This information is not stored.Data Type: String |
| serviceQualificationItem.service.serviceCharacteristic.valueType | Optional. Value type of the characteristic. Data Type: String |
| serviceQualificationItem.service.serviceInventory | Optional. Valid service inventory entity which refers to an active service needing an upgrade or downgrade. Important: Use the serviceInventory object for service upgrades or downgrades. To do so, you must omit the place array and referenceServiceInventory
object from your request, otherwise the API returns an error. Data type: Object
|
| serviceQualificationItem.service.serviceSpecification | Required. Service specification for the qualification item. Stored in the service_specification field of the customer order line item in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Service
specifications for a qualification item can't be resource-facing. Data Type: Object |
| serviceQualificationItem.service.serviceSpecification.@type | Optional. Part of TMF Open API standard. Annotation for the service specification. This value is always ServiceSpecification. This information is not stored.Data Type: String |
| serviceQualificationItem.service.serviceSpecification.id | Required. External ID or initial version of the service specification. Data Type: String |
| serviceQualificationItem.service.serviceSpecification.internalVersion | Optional. Internal version of the service specification. Data Type: Number |
| serviceQualificationItem.service.serviceSpecification.name | Required. Name of the service specification. Data Type: String |
| serviceQualificationItem.service.serviceSpecification.version | Optional. External version of the service specification. Data Type: String |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response
body. Supported types: application/json or
application/xml.
Default: application/json |
| Content-Type | Data format of the
request body. Supported types: application/json or
application/xml.
Default: application/json |
| Header | Description |
|---|---|
| None |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| Status code | Description |
|---|---|
| 201 | Request successfully processed. Note: If there are any issues with the
characteristics or characteristics option information, the endpoint stores the
following comments in the work notes fields of the associated Customer Order Line
Item record similar to existing delivery orders |
| 400 | Bad Request. Could be any of the following reasons:
|
| 500 | Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error. |
Response body parameters (JSON or XML)
| Element | Description |
|---|---|
| id | Sys_id of the qualification customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| href | Relative link to the qualification order record. Data type: String |
| description | Description of the qualification request which is fetched from the short_description field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| externalId | External ID from the external_id field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| qualificationResult | Qualification status of the result field of the customer order. Possible values:
Data type: String |
| state | State of customer order from the status field of customer order. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the qualification. This value is always CheckServiceQualification. This information is not stored.Data type: String |
| checkServiceQualificationDate | Date and time the qualification request that was created from the order_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| effectiveQualificationDate | Effective qualification date fetched from the order_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| expectedQualificationDate | Stores the expected qualification date. Persisted in expected_end_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| relatedParty | List of contacts for the qualification request. Each contact is an object in the array. Data type: Array of Objects |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account [customer_account] table, Contact [customer_contact] table, or Consumer [csm_consumer]
table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the order line item contact. This value is always RelatedParty. This information is not stored.Data type: String |
| relatedParty.@referredType | Type of related party. Possible values:
Data type: String |
| serviceQualificationItem | List of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects |
| serviceQualificationItem.id | ID of the qualification item. Stored in the external_id field of customer order line item in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: String |
| serviceQualificationItem.qualificationResult | Result of qualification item. Stored in the ‘result’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Possible values:
Data type: String |
| serviceQualificationItem.state | State of qualification item derived from the ‘status’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: String |
| serviceQualificationItem.quantity | Quantity of qualification item derived from the ‘quantity’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: Number |
| serviceQualificationItem.@type | Part of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored. Data type: String |
| serviceQualificationItem.service | Service information which includes details about location (place), service specifications, and service characteristics. Data type: Object |
| serviceQualificationItem.service.@type | Part of TMF Open
API standard. Annotation for the service. This value is always Service. This information is not stored. Data type: String |
| serviceQualificationItem.service.place | Location information for the service qualification item. Data type: Array of objects Note: This array can contain only one location. |
serviceQualificationItem.service.place.id |
Sys_id of a location in the Location [cmn_location] table. Data type: String |
| serviceQualificationItem.service.place.name | Name of the location. Not verified against an entry in the Location [cmn_location] table. Data type: String |
| serviceQualificationItem.service.place.@type | Part of TMF Open API standard. Annotation for Service. This value is always GeographicSite. This information is not stored.Data type: String |
| serviceQualificationItem.service.serviceSpecification | Service specification details for the qualification item. Data type: Array of objects |
| serviceQualificationItem.service.serviceSpecification.id | External ID or initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.name | Name of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.version | External version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.internalVersion | Internal version of the service specification. Data type: Number |
| serviceQualificationItem.service.serviceSpecification.internalId | Initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always ServiceSpecification. This information is not stored.Data type: String |
| serviceQualificationItem.service.serviceCharacteristic | List of service characteristics. Data type: Array of objects |
| serviceQualificationItem.service.serviceCharacteristic.valueType | Value type of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.name | Name of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.value | Value of the characteristic. Data type: String |
Use Case 1
The following example shows a simple request containing a single qualification item.
curl -X POST "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-u "username":"password" \
-d {
"description": "check service qualification illustration",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
"expectedQualificationDate": "2023-10-11T15:20:39.000Z",
"externalId": "CSQ1",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "100",
"service": {
"@type": "Service",
"place": [
{
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "Jean Pontus home",
"@type": "GeographicSite"
}
],
"serviceCharacteristic": [
{
"valueType": "choice",
"name": "Speed",
"value": "High"
}
],
"serviceSpecification": {
"id": "91478553b7969910ff00f203ae11a97d",
"name": "Broadband Service",
"@type": "ServiceSpecification"
}
},
"@type": "ServiceQualificationItem"
}
],
"@type": "CheckServiceQualification"
}
Response:
{
"id": "0b45c47938bf1110f877c8d44c4b895d",
"href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0b45c47938bf1110f877c8d44c4b895d",
"description": "check service qualification illustration",
"externalId": "CSQ1",
"qualificationResult": "none",
"state": "new",
"@type": "CheckServiceQualification",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "100",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Speed",
"valueType": "choice",
"value": "High"
}
],
"serviceSpecification": {
"id": "91478553b7969910ff00f203ae11a97d",
"name": "Broadband Service",
"version": "",
"internalVersion": "1",
"internalId": "91478553b7969910ff00f203ae11a97d",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
}
],
"effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
"expectedQualificationDate": "2023-10-11T15:20:39.000Z"
}
Use Case 2
The following example demonstrates how to request a simple service qualification using an ID to obtain the customer's location with an existing service.
curl -X POST "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-u "username":"password" \
-d {
"description": "check service qualification illustration",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
"expectedQualificationDate": "2023-10-11T15:20:39.000Z",
"externalId": "CSQ1",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "100",
"service": {
"@type": "Service",
"referenceServiceInventory": {
"id": "f1b2d99e777301108e191e599a5a99d2"
},
"serviceCharacteristic": [
{
"valueType": "choice",
"name": "Speed",
"value": "High"
}
],
"serviceSpecification": {
"id": "91478553b7969910ff00f203ae11a97d",
"name": "Broadband Service",
"@type": "ServiceSpecification"
}
},
"@type": "ServiceQualificationItem"
}
],
"@type": "CheckServiceQualification"
}
Response, where place is populated from referenceServiceInventory in the request.
{
"id": "1683497138b35110f877c8d44c4b890a",
"href":"/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/1683497138b35110f877c8d44c4b890a",
"description": "check service qualification illustration",
"externalId": "CSQ1",
"qualificationResult": "none",
"state": "new",
"@type": "CheckServiceQualification",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "100",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Speed",
"valueType": "choice",
"value": "High"
}
],
"serviceSpecification": {
"id": "91478553b7969910ff00f203ae11a97d",
"name": "Broadband Service",
"version": "",
"internalVersion": "1",
"internalId": "91478553b7969910ff00f203ae11a97d",
"@type": "ServiceSpecification"
},
"place": {
"id": "25aba4010a0a0bb3008f329002f12211",
"name": "20220 Bow Willow, Houston,TX",
"@referredType": "GeographicSite"
}
}
}
],
"effectiveQualificationDate": "2022-12-14T23:44:44.000Z",
"expectedQualificationDate": "2023-10-11T15:20:39.000Z"
}
Use Case 3
The following example demonstrates how to upgrade a user's broadband service to a higher speed. Service Inventory with id = is a product inventory with Service Specification = ‘Broadband Service’, Location = 20220 Bow Willow, Houston, TX, Characteristics=[{Speed:Medium}].
{
"description": "check service qualification illustration",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
"expectedQualificationDate": "2023-10-11T15:20:39.000Z",
"externalId": "CSQ1",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "100",
"service": {
"@type": "Service",
"serviceInventory": {
"id": "f1b2d99e777301108e191e599a5a99d2"
},
"serviceCharacteristic": [
{
"valueType": "choice",
"name": "Speed",
"value": "High"
}
]
},
"@type": "ServiceQualificationItem"
}
],
"@type": "CheckServiceQualification"
}
{
"id": " db8485b138b35110f877c8d44c4b892b",
"href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/ db8485b138b35110f877c8d44c4b892b",
"description": "check service qualification illustration",
"externalId": "CSQ1",
"qualificationResult": "none",
"state": "new",
"@type": "CheckServiceQualification",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "100",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Speed",
"valueType": "choice",
"value": "High"
}
],
"serviceSpecification": {
"id": "91478553b7969910ff00f203ae11a97d",
"name": "Broadband Service",
"version": "",
"internalVersion": "1",
"internalId": "91478553b7969910ff00f203ae11a97d",
"@type": "ServiceSpecification"
},
"place": {
"id": "25aba4010a0a0bb3008f329002f12211",
"name": "20220 Bow Willow, Houston,TX",
"@referredType": "GeographicSite"
}
}
}
],
"effectiveQualificationDate": "2022-12-14T23:44:44.000Z",
"expectedQualificationDate": "2023-10-11T15:20:39.000Z"
}
Use Case 4
Describes the hierarchy of parent and child line items and their relationship types. It demonstrates how multiple line items can be created via the quantity attribute.
curl -X POST "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-u "username":"password" \
-d {
"description": "check service qualification illustration",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
"expectedQualificationDate": "2023-10-11T15:20:39.000Z",
"externalId": "CSQ1",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "100",
"quantity": 2,
"qualificationItemRelationship": [
{
"relationshipType": "HasChild",
"id": "110"
},
{
"relationshipType": "HasChild",
"id": "120"
},
{
"relationshipType": "HasChild",
"id": "130"
}
],
"service": {
"@type": "Service",
"place": [
{
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "Jean Pontus home",
"@referredType": "GeographicSite"
}
],
"serviceCharacteristic": [
{
"valueType": "string",
"name": "Speed",
"value": "High"
}
],
"serviceSpecification": {
"id": "b3933d9d45f31150f877e0588eca21fc",
"name": "Access Service"
}
},
"@type": "ServiceQualificationItem"
},
{
"id": "110",
"action": "add",
"expectedServiceAvailabilityDate": "2022-12-10T19:20:39.239Z",
"qualificationItemRelationship": [
{
"relationshipType": "HasParent",
"id": "100"
}
],
"service": {
"@type": "Service",
"place": [
{
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "Jean Pontus home",
"@referredType": "GeographicSite"
}
],
"serviceCharacteristic": [
{
"valueType": "choice",
"name": "Fiber Speed",
"value": "1Gbps"
}
],
"serviceSpecification": {
"name": "CFS3",
"internalVersion": "1",
"id": "4d2b5799457b1150f877e0588eca2116"
},
"state": "new"
},
"@type": "ServiceQualificationItem"
},
{
"id": "120",
"action": "add",
"qualificationItemRelationship": [
{
"relationshipType": "HasParent",
"id": "100"
}
],
"expectedServiceAvailabilityDate": "2022-11-12T19:20:39.239Z",
"service": {
"@type": "Service",
"place": [
{
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "Jean Pontus home",
"@referredType": "GeographicSite"
}
],
"serviceCharacteristic": [
{
"valueType": "choice",
"name": "DSL Speed",
"value": "500 Mbps"
}
],
"serviceSpecification": {
"name": "CF1",
"internalVersion": "1",
"id": "1d43f91d45f31150f877e0588eca21cd"
},
"state": "new"
},
"@type": "ServiceQualificationItem"
},
{
"id": "130",
"action": "add",
"expectedServiceAvailabilityDate": "2020-04-11T19:20:39.239Z",
"qualificationItemRelationship": [
{
"relationshipType": "HasParent",
"id": "100"
}
],
"service": {
"@type": "Service",
"place": [
{
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "Jean Pontus home",
"@referredType": "GeographicSite"
}
],
"serviceCharacteristic": [
{
"valueType": "choice",
"name": "Wireless Speed",
"value": "100 Mbps"
}
],
"serviceSpecification": {
"name": "CFS2",
"internalVersion": "1",
"id": "28733d1d45f31150f877e0588eca2163"
},
"state": "new"
},
"@type": "ServiceQualificationItem"
}
],
"@type": "CheckServiceQualification"
}
Response:
{
"id": "7bf9cd7538b35110f877c8d44c4b89e4",
"href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/7bf9cd7538b35110f877c8d44c4b89e4",
"description": "check service qualification illustration",
"externalId": "CSQ1",
"qualificationResult": "none",
"state": "new",
"@type": "CheckServiceQualification",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "120",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "DSL Speed",
"valueType": "choice",
"value": "500 Mbps"
}
],
"serviceSpecification": {
"id": "1d43f91d45f31150f877e0588eca21cd",
"name": "CFS1",
"version": "",
"internalVersion": "1",
"internalId": "1d43f91d45f31150f877e0588eca21cd",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
},
{
"id": "110",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Fiber Speed",
"valueType": "choice",
"value": "1Gbps"
}
],
"serviceSpecification": {
"id": "4d2b5799457b1150f877e0588eca2116",
"name": "CFS3",
"version": "",
"internalVersion": "1",
"internalId": "4d2b5799457b1150f877e0588eca2116",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
},
{
"id": "130",
"qualificationResult": "none",
"state": "new",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Wireless Speed",
"valueType": "choice",
"value": "100 Mbps"
}
],
"serviceSpecification": {
"id": "28733d1d45f31150f877e0588eca2163",
"name": "CFS2",
"version": "",
"internalVersion": "1",
"internalId": "28733d1d45f31150f877e0588eca2163",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
},
{
"id": "100",
"qualificationResult": "none",
"state": "new",
"quantity": "2",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Speed",
"valueType": "choice",
"value": "High"
}
],
"serviceSpecification": {
"id": "b3933d9d45f31150f877e0588eca21fc",
"name": "Access Service",
"version": "",
"internalVersion": "1",
"internalId": "b3933d9d45f31150f877e0588eca21fc",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
}
}
],
"effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
"expectedQualificationDate": "2023-10-11T15:20:39.000Z"
}
Technical Service Qualification Open API - POST sn_ord_qual_mgmt/qualification/checkServiceQualification/processResult
Processes a technical service qualification result sent to the Technical Service Qualification Open API.
URL format
Versioned URL: /api/sn_ord_qual_mgmt/qualification/checkServiceQualification/processResult
Supported request parameters
| Name | Description |
|---|---|
| api_version | Optional. Version of the endpoint to access. For example, v1 or v2. Only specify this value to use an endpoint version other than the
latest.
Data type: String |
| Name | Description |
|---|---|
| None |
| Parameter | Description |
|---|---|
| serviceQualificationItem | Required. List of Service Qualification Items each representing a domain order in the Service Order table [sn_ind_tmt_orm_service_order] for the requested top order line item. All domain orders represented by each of
the service qualification items must belong to the same top order line item. Data type: Array of Objects |
| serviceQualificationItem.@type | Optional. Part of TMF Open API standard. Annotation for qualification item. This value is always ServiceQualificationItem. This information is not stored.Data Type: String |
| serviceQualificationItem.alternateProposal | Optional. Alternate Proposals provided for the qualification item. Stored in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: Array of objects |
| serviceQualificationItem.alternateProposal.@type | Optional. Part of TMF Open API standard. Annotation for Service information for the qualification item. This value is always Service. This information is not stored.Data type: String |
| serviceQualificationItem.alternateProposal.alternateService | Required. Service information for the alternate proposal containing service specifications and characteristics. Data type: Object |
| serviceQualificationItem.alternateProposal.alternateService.alternateService.serviceCharacteristic.valueType | Value type of the characteristic under the alternate service proposal. Data Type: String |
| serviceQualificationItem.alternateProposal.alternateService.serviceCharacteristic | Array of service characteristics for the alternate service proposal, stored as a string in ‘order_characteristics’ field of Alternate proposal table [sn_ord_qual_mgmt_alternate_proposal]. Data Type: Array of objects |
| serviceQualificationItem.alternateProposal.alternateService.serviceCharacteristic.name | Required. Name of the characteristic belonging to the alternate service proposal. Data Type: String |
| serviceQualificationItem.alternateProposal.alternateService.serviceCharacteristic.value | Value of the characteristic belonging to the alternate service proposal. Data Type: String |
| serviceQualificationItem.alternateProposal.alternateService .serviceSpecification | Required. Service Specification for the alternate proposal. Stored in the specification field of the alternate proposal entry of the Alternate proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data Type: Object |
| serviceQualificationItem.alternateProposal.alternateService .serviceSpecification.@type | Part of TMF Open API standard. Annotation for the Service Specification. This value is always ServiceSpecification. This information is not stored.Data Type: String |
| serviceQualificationItem.alternateProposal.alternateService.serviceSpecification.id | Required. External ID or initial version of the service specification. Data Type: String |
| serviceQualificationItem.alternateProposal.alternateService.serviceSpecification.internalVersion | Internal version of the service specification. Data Type: String |
| serviceQualificationItem.alternateProposal.alternateService.serviceSpecification.name | Name of the service specification. Data Type: String |
| serviceQualificationItem.alternateProposal.alternateService.serviceSpecification.version | External version of the service specification. Data Type: String |
| serviceQualificationItem.alternateProposal.alternateServiceAvailabilityDate | Optional. Alternate service availability date. Located in the 'available_date' field of Alternate Proposal table [sn_ord_qual_mgmt_alternate_proposal] where the domain order information belongs to the domain order
represented by the current service qualification item. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data Type: String |
| serviceQualificationItem.alternateProposal.id | Optional. User-defined ID for the alternate proposal. This data is not persisted. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason | Optional. Reason for why the service qualification is not eligible. The entire list of reasons is persisted with their label fields as a string in the ‘unavailability_reason’ field of the Domain Order
[sn_ind_tmt_orm_domain_order] table. Data Type: Object |
| serviceQualificationItem.eligibilityUnavailabilityReason.code | Optional. Code for the eligibility unavailability reason. This information is not persisted. Data Type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason.label | Required. Label for the eligibility unavailability reason. If there are multiple ineligibility reasons, the labels are separated by ‘ “,” ’ and stored in the ‘unavailability_reason’ field of the Domain Order
[sn_ind_tmt_orm_domain_order] table. Data Type: String |
| serviceQualificationItem.id | Required. Sys_id of the domain order represented by the qualification item. Stored in Sys_id field of the Domain Order [sn_ind_tmt_orm_service_order]. Data type: String |
| serviceQualificationItem.qualificationResult | Required. Qualification Result for each service qualification item that is persisted in the result field of the Domain Order table [sn_ind_tmt_orm_service_order]. Data type: String |
Headers
The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.
| Header | Description |
|---|---|
| Accept | Data format of the response
body. Supported types: application/json or
application/xml.
Default: application/json |
| Header | Description |
|---|---|
| None |
Status codes
The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.
| Status code | Description |
|---|---|
| 201 | Successful. The request was successfully processed. |
| 400 | Bad Request. Could be any of the following reasons:
|
Response body parameters (JSON or XML)
| Name | Description |
|---|---|
| id | Sys_id of the qualification customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| href | Relative link to the qualification order record. Data type: String |
| description | Description of the qualification request which is fetched from the short_description field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| externalId | External ID from the external_id field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Data type: String |
| qualificationResult | Qualification status of the result field of the customer order. Possible values:
Data type: String |
| state | State of customer order from the status field of customer order. Data type: String |
| @type | Part of TMF Open API standard. Annotation for the qualification. This value is always CheckServiceQualification. This information is not stored.Data type: String |
| checkServiceQualificationDate | Date and time the qualification request that was created from the order_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| effectiveQualificationDate | Effective qualification date fetched from the order_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| expectedQualificationDate | Stores the expected qualification date. Persisted in expected_end_date field of the customer order. Located in the Customer Order [sn_ind_tmt_orm_order] table. Format: YYYY-MM-DDTHH:MM:SS.SSSZ Data type: String |
| relatedParty | List of contacts for the qualification request. Each contact is an object in the array. Data type: Array of Objects |
| relatedParty.id | Sys_id or external_id of the account, customer contact, or consumer associated with the order. Located in the Account [customer_account] table, Contact [customer_contact] table, or Consumer [csm_consumer]
table. Data type: String |
| relatedParty.name | Name of the account, customer, or consumer. Data type: String |
| relatedParty.@type | Part of TMF Open API standard. Annotation for the order line item contact. This value is always RelatedParty. This information is not stored.Data type: String |
| relatedParty.@referredType | Type of related party. Possible values:
Data type: String |
| serviceQualificationItem | List of service qualification items containing information about location, service information, and service characteristics. Stored as order line items for the customer order. Data type: Array of Objects |
| serviceQualificationItem.id | ID of the qualification item. Stored in the external_id field of customer order line item in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: String |
| serviceQualificationItem.qualificationResult | Result of qualification item. Stored in the ‘result’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Possible values:
Data type: String |
| serviceQualificationItem.state | State of qualification item derived from the ‘status’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: String |
| serviceQualificationItem.quantity | Quantity of qualification item derived from the ‘quantity’ field of customer order line item. Located in the Order Line Item [sn_ind_tmt_orm_order_line_item] table. Data type: Number |
| serviceQualificationItem.@type | Part of TMF Open API standard. Annotation for the qualification item. This value is always ServiceQualificationItem. This information is not stored. Data type: String |
| serviceQualificationItem.service | Service information which includes details about location (place), service specifications, and service characteristics. Data type: Object |
| serviceQualificationItem.service.@type | Part of TMF Open
API standard. Annotation for the service. This value is always Service. This information is not stored. Data type: String |
| serviceQualificationItem.service.place | Location information for the service qualification item. Data type: Array of objects Note: This array can contain only one location. |
serviceQualificationItem.service.place.id |
Sys_id of a location in the Location [cmn_location] table. Data type: String |
| serviceQualificationItem.service.place.name | Name of the location. Not verified against an entry in the Location [cmn_location] table. Data type: String |
| serviceQualificationItem.service.place.@type | Part of TMF Open API standard. Annotation for Service. This value is always GeographicSite. This information is not stored.Data type: String |
| serviceQualificationItem.service.serviceSpecification | Service specification details for the qualification item. Data type: Array of objects |
| serviceQualificationItem.service.serviceSpecification.id | External ID or initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.name | Name of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.version | External version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.internalVersion | Internal version of the service specification. Data type: Number |
| serviceQualificationItem.service.serviceSpecification.internalId | Initial version of the service specification. Data type: String |
| serviceQualificationItem.service.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always ServiceSpecification. This information is not stored.Data type: String |
| serviceQualificationItem.service.serviceCharacteristic | List of service characteristics. Data type: Array of objects |
| serviceQualificationItem.service.serviceCharacteristic.valueType | Value type of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.name | Name of the characteristic. Data type: String |
| serviceQualificationItem.service.serviceCharacteristic.value | Value of the characteristic. Data type: String |
| ServiceQualificationItem.alternateServiceProposal | Alternate service proposal for the qualification order. Alternate proposals are stored in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.id | Sys_id of the alternate proposal entry in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: String |
| ServiceQualificationItem.alternateServiceProposal.alternateServiceAvailabilityDate | The available_date field value of the alternate proposal entry in the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: String |
| serviceQualificationItem.alternateServiceProposal.alternateService | Service information represented by the alternate proposal. Data type: Object |
| serviceQualificationItem.alternateServiceProposal.alternateService.serviceSpecification | Service specification of the alternate proposal persisted in specification of the Alternate Proposal [sn_ord_qual_mgmt_alternate_proposal] table. Data type: Object |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.id | External ID or initial version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.name | Name of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.version | External version of the alternate service specification. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalVersion | Internal version of the alternate service specification. Data type: Number |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.internalId | Initial version of the alternate service specification. Data type: String |
| ServiceQualificationItem. alternateServiceProposal.alternateService.serviceSpecification.@type | Part of TMF Open API standard. Annotation for Service Specification. This value is always ServiceSpecification. This information is not stored.Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic | Array of service characteristics for the alternate service proposal. Data type: Array of objects |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.valueType | Value type of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.name | Name of the alternate service characteristic. Data type: String |
| serviceQualificationItem. alternateServiceProposal.alternateService.serviceCharacteristic.value | Value of the alternate service characteristic. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason | A list of service eligibility unavailability reasons to explain why the service is not available. This value is persisted in unavailability_reason field of the Domain Order [sn_ind_tmt_orm_domain_order]
table. Data type: Array |
| serviceQualificationItem.eligibilityUnavailabilityReason.code | Service eligibility unavailability reason code. Data type: String |
| serviceQualificationItem.eligibilityUnavailabilityReason.label | Service eligibility unavailability reason label. Data type: String |
Sample cURL request
The following example shows how the endpoint processes a qualification order sent in the API request.
curl -X POST "https://instance.service-now.com/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/processResult " \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-u "username":"password" \
-d {
"serviceQualificationItem": [
{
"eligibilityUnavailabilityReason": [
{
"code": "26-001",
"label": "not enough bandwith at this place"
}
],
"qualificationResult": "alternate",
"alternateServiceProposal": [
{
"alternateServiceAvailabilityDate": "2022-12-15T19:20:39.239Z",
"@type": "AlternateServiceProposal",
"id": "1",
"alternateService": {
"@type": "Service",
"serviceSpecification": {
"@type": "ServiceSpecification",
"name": "Mobile Service",
"id": "23",
"href": "string"
},
"serviceCharacteristic": [
{
"@type": "ServiceCharacteristic",
"valueType": "string",
"name": "BroadcastQuality",
"id": "1",
"value": "HD"
}
]
}
}
],
"@type": "ServiceQualificationItem",
"id": "295580b938bf1110f877c8d44c4b8912"
},
{
"qualificationResult": "alternate",
"alternateServiceProposal": [
{
"alternateServiceAvailabilityDate": "2022-12-15T19:20:39.239Z",
"@type": "AlternateServiceProposal",
"id": "1",
"alternateService": {
"@type": "Service",
"serviceSpecification": {
"@type": "ServiceSpecification",
"name": "Mobile Service",
"id": "23",
"href": "string"
},
"serviceCharacteristic": [
{
"@type": "ServiceCharacteristic",
"valueType": "string",
"name": "BroadcastQuality",
"id": "1",
"value": "HD"
}
]
}
}
],
"@type": "ServiceQualificationItem",
"action": "add",
"id": "295580b938bf1110f877c8d44c4b8915"
},
{
"qualificationResult": "alternate",
"alternateServiceProposal": [
{
"alternateServiceAvailabilityDate": "2022-12-15T19:20:39.239Z",
"@type": "AlternateServiceProposal",
"id": "1",
"alternateService": {
"@type": "Service",
"serviceSpecification": {
"@type": "ServiceSpecification",
"name": "Mobile Service",
"id": "23",
"href": "string"
},
"serviceCharacteristic": [
{
"@type": "ServiceCharacteristic",
"valueType": "string",
"name": "BroadcastQuality",
"id": "1",
"value": "HD"
}
]
}
}
],
"@type": "ServiceQualificationItem",
"id": "2d5580b938bf1110f877c8d44c4b8902"
}
],
"@type": "CheckServiceQualification",
"description": "check service qualification illustration"
}
Response body:
{
"id": "0b45c47938bf1110f877c8d44c4b895d",
"href": "/api/sn_ord_qual_mgmt/qualification/checkServiceQualification/0b45c47938bf1110f877c8d44c4b895d",
"description": "check service qualification illustration",
"externalId": "CSQ1",
"qualificationResult": "alternate",
"state": "new",
"@type": "CheckServiceQualification",
"checkServiceQualificationDate": "2022-12-14T23:44:44.000Z",
"relatedParty": [
{
"id": "eaf68911c35420105252716b7d40ddde",
"name": "Sally Thomas",
"@type": "RelatedParty",
"@referredType": "CustomerContact"
},
{
"id": "ffc68911c35420105252716b7d40dd55",
"name": "Funco Intl",
"@type": "RelatedParty",
"@referredType": "Customer"
},
{
"id": "59f16de1c3b67110ff00ed23a140dd9e",
"name": "Funco External",
"@type": "RelatedParty",
"@referredType": "Consumer"
}
],
"serviceQualificationItem": [
{
"id": "100",
"qualificationResult": "alternate",
"state": "in_progress",
"quantity": "1",
"@type": "ServiceQualificationItem",
"service": {
"@type": "Service",
"serviceCharacteristic": [
{
"name": "Speed",
"valueType": "choice",
"value": "High"
}
],
"serviceSpecification": {
"id": "91478553b7969910ff00f203ae11a97d",
"name": "Broadband Service",
"version": "",
"internalVersion": "1",
"internalId": "91478553b7969910ff00f203ae11a97d",
"@type": "ServiceSpecification"
},
"place": {
"id": "5671dd2ec3a53010188473ce3640dd81",
"name": "3000 Main Street, Santa Clara, CA",
"@referredType": "GeographicSite"
}
},
"alternateServiceProposal": [
{
"id": "350e66a2e5331110f87741b459ef19b0",
"alternateServiceAvailabilityDate": "2022-12-15 19:20:39",
"alternateService": {
"serviceCharacteristic": [
{
"@type": "ServiceCharacteristic",
"valueType": "string",
"name": "BroadcastQuality",
"id": "1",
"value": "HD"
}
],
"serviceSpecification": {
"id": "23e7ed67c32310105252716b7d40dd80",
"name": "Mobile Service",
"version": "",
"internalVersion": "1",
"internalId": "23e7ed67c32310105252716b7d40dd80",
"@type": "ServiceSpecification"
},
"@type": "Service"
},
"@type": "AlternateServiceProposal"
}
],
"eligibilityUnavailabilityReason": [
{
"label": "not enough bandwith at this place",
"@type": "string"
}
]
}
],
"effectiveQualificationDate": "2023-12-14T23:44:44.000Z",
"expectedQualificationDate": "2023-10-11T15:20:39.000Z"
}